Support » Plugins and Hacks » [Plugin: Enhanced WP Contact Form] Broken with 2.8.1?

  • It appears the Enhanced WP Contact Form plugin is broken for me with 2.8.1. I can’t get to the settings page at all… I get an insufficient permissions error (the permissions on the files are fine, I checked) if I try to get to it from the Settings link, and a file not found if I click on the Contact Form link in the sidebar. I suspect it has to do with the new admin panel security options in 2.8.1, but unfortunately I don’t have the time to dig into it right now. Can anyone else verify they’re having a similar issue?

Viewing 15 replies - 1 through 15 (of 15 total)
  • Yes, same thing for me.

    Same here too. 🙁

    Just use some other plugin.

    I too have the same problem…

    Yep! Me five!
    The contact form is working for users on any sites I built before 2.8.1 even after the upgrade to 2.8.1 but I can not edit the settings anymore.

    error: (You do not have sufficient permissions to access this page.)

    I like this plugin. Any recommendations on a better one that offers last page tracking?

    bump

    Me too but it was my first trial use of this plugin so I’m glad to hear that it is a common problem. I’m sure Yoast will get around to fixing it.

    FWIW, it appears a number of plugins based on the original WP Contact Form are broken (each I tried failed with the same error). I currently have Contact Form 7 with the Really Simple Captcha plugin working in place of Enhanced WP Contact Form until either I have time to dig into it to see what’s causing the problem or Yoast fixes it.

    Get this when trying to get to settings: You do not have sufficient permissions to access this page. in 2.8.1. –or it takes me to 404 page.
    No luck, may have to bail on this otherwise nice plugin.

    I have WP 2.8.1 installed and the plugin still works for me, but not fully. The CONTACT FORM itself works perfectly, but the OPTIONS page doesn’t show and returns the message “You do not have sufficient permissions to access this page”. I tried to fix the problem myself, but I just couldn’t make the OPTIONS page show. So I tried something else that works for me, at least until someone comes with a better way to fix this problem.

    How to:

    – At the Edit Plugins, open wp-contact-form/wp-contactform.php and insert the following code BEFORE the plugin code starts:

    update_option('wpcf_email', __('email@provider.com', 'wpcf'));
    update_option('wpcf_subject', __('Contact Form', 'wpcf'));
    update_option('wpcf_showsubject', __('TRUE', 'wpcf'));
    update_option('wpcf_success_msg', __('Thanks for sending your message!', 'wpcf'));
    update_option('wpcf_error_msg', __('Please, fill the required fields.', 'wpcf'));
    update_option('wpcf_question', __('2 + 2 =', 'wpcf'));
    update_option('wpcf_answer', __('4', 'wpcf'));
    update_option('wpcf_casesensitive', __('FALSE', 'wpcf'));
    update_option('wpcf_copy', __('TRUE', 'wpcf'));

    Just change the TRUE/FALSE and another options to whatever you like, just like you would do at the original OPTIONS page.

    Same problem here. I was hoping Joost would be in here with a fix. I will try the above workaround for now.

    Well, I can’t get that to work either. I might be putting it in the wrong place but I’ve tried several spots.

    Should be fixed with 2.2.3 which I just submitted to wordpress.org, should be appearing in about 15 minutes.

    Well Done Thank you.

    Works great! Thank you, Joost!

Viewing 15 replies - 1 through 15 (of 15 total)
  • The topic ‘[Plugin: Enhanced WP Contact Form] Broken with 2.8.1?’ is closed to new replies.